## libpam-foreground 0.2

=== Makefile ===
pam_foreground.so: pam_foreground.c
	gcc -fPIC -O2 -Wall -c pam_foreground.c
	ld -x --shared -o pam_foreground.so pam_foreground.o
clean:
	- rm *.o *.so

default: pam_foreground.so

=== debian/changelog ===
libpam-foreground (0.2) unstable; urgency=low

  * Fix up minor bugs for main inclusion

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 23 Jan 2006 22:50:45 +0000

libpam-foreground (0.1-1) unstable; urgency=low

  * Initial release

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 24 Dec 2005 00:24:27 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp: 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libpam-foreground.
	mkdir -p debian/libpam-foreground/lib/security
	cp pam_foreground.so debian/libpam-foreground/lib/security


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libpam-foreground 0.3

=== Makefile ===
all: pam_foreground.so check-foreground-console

check-foreground-console: check-foreground-console.c
	gcc -O0 -g -Wall -o check-foreground-console check-foreground-console.c

pam_foreground.so: pam_foreground.c
	gcc -fPIC -O2 -Wall -c pam_foreground.c
	ld -x --shared -o pam_foreground.so pam_foreground.o
clean:
	- rm *.o *.so check-foreground-console

=== debian/changelog ===
libpam-foreground (0.3) dapper; urgency=low

  * Added check-foreground-console tool

 -- Daniel Silverstone <daniel.silverstone@ubuntu.com>  Thu, 11 May 2006 11:49:11 +0100

libpam-foreground (0.2) dapper; urgency=low

  * Fix up minor bugs for main inclusion

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 23 Jan 2006 22:50:45 +0000

libpam-foreground (0.1-1) dapper; urgency=low

  * Initial release

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 24 Dec 2005 00:24:27 +0000

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,11 @@
 
 	# Add here commands to install the package into debian/libpam-foreground.
 	mkdir -p debian/libpam-foreground/lib/security
+	mkdir -p debian/libpam-foreground/bin
 	cp pam_foreground.so debian/libpam-foreground/lib/security
+	cp check-foreground-console debian/libpam-foreground/bin/
+	chown root:root debian/libpam-foreground/bin/check-foreground-console
+	chmod u=rwxs,g=rx,o=rx debian/libpam-foreground/bin/check-foreground-console
 
 
 # Build architecture-independent files here.
@@ -73,7 +77,7 @@
 	dh_link
 	dh_strip
 	dh_compress
-	dh_fixperms
+	dh_fixperms -Xcheck-foreground-console
 #	dh_perl
 #	dh_python
 #	dh_makeshlibs

## libpam-foreground 0.4-1

=== debian/changelog ===
libpam-foreground (0.4-1) unstable; urgency=low

  * Bring in the Ubuntu changes (Closes: #432066, #432067)
  * Clean /var/run/console on boot (Closes: #431475)
  * Check that the login isn't remote (Closes: #431730)
  * Ensure that full library dependency information is included (Closes:
    #432035) 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 13 Jul 2007 14:03:10 +0100

libpam-foreground (0.3-0ubuntu1) gutsy; urgency=low

  * Add missing linker options (LP: #76364), thanks to Bohdan Kmit'.
  * Split out of native packaging.

 -- Kees Cook <kees@ubuntu.com>  Thu, 21 Jun 2007 12:55:26 -0700

=== debian/control ===
Source: libpam-foreground
Section: misc
Priority: optional
Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
Build-Depends: debhelper (>= 4.0.0), libpam-dev
Standards-Version: 3.6.2

Package: libpam-foreground
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: create lockfiles describing which users own which console
 This PAM module creates a lockfile whenever a user logs in, specifying the
 username and the console. This allows software to check whether the user
 making a request is on the current foreground console or not.

=== debian/rules ===
--- 
+++ 
@@ -70,7 +70,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-#	dh_installinit
+	dh_installinit --no-start -u "start 46 S ."
 #	dh_installcron
 #	dh_installinfo
 	dh_installman

## libpam-foreground 0.5

=== debian/changelog ===
libpam-foreground (0.5) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Make clean not ignore errors.
  * Remove dashed version from native package.
  * Remove unnecessary and unneeded comments and commands from rules.
  * Add VERY minimalistic manpage for check-foreground-console.
  * Fix debian/copyright syntax to make lintian happy.
  * Add lintian override for setuid binary.
  * Bump debhelper build-depends and compat to 6 (for dh_lintian).
  * Bump Standards Version to 3.7.3.

 -- Barry deFreese <bddebian@comcast.net>  Thu, 22 May 2008 12:49:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libpam-foreground
 Section: misc
 Priority: optional
-Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
-Build-Depends: debhelper (>= 4.0.0), libpam-dev
-Standards-Version: 3.6.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 6.0.7~), libpam-dev
+Standards-Version: 3.7.3
 
 Package: libpam-foreground
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -33,7 +28,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile] || $(MAKE) clean
 
 	dh_clean 
 
@@ -63,24 +58,13 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-#	dh_install
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
 	dh_installinit --no-start -u "start 46 S ."
-#	dh_installcron
-#	dh_installinfo
-	dh_installman
+	dh_installman debian/check-foreground-console.1
+	dh_lintian
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms -Xcheck-foreground-console
-#	dh_perl
-#	dh_python
-#	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## libpam-foreground 0.7

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 pam_foreground.so: pam_foreground.c
 	gcc -fPIC -O2 -Wall -c pam_foreground.c
-	ld -x --shared -o pam_foreground.so pam_foreground.o
+	ld -lpam -x --shared -o pam_foreground.so pam_foreground.o -lpam -lc
 clean:
 	- rm *.o *.so check-foreground-console

=== debian/changelog ===
libpam-foreground (0.7) unstable; urgency=low

  * QA upload.
  * Remember to remove conffile /etc/init.d/libpam-foreground when
    upgrading to dummy package.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 03 Jun 2010 08:57:30 +0200

libpam-foreground (0.6) unstable; urgency=low

  * QA upload.
  * This package is obsolete and replaced by libpam-ck-connector.
    Convert it to a dummy package with architecture all pulling in
    libpam-ck-connector (Closes: #517039).
  * Update standards version to 3.8.4.
  * Drop build depend on libpam-dev.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 03 Jun 2010 08:02:52 +0200

=== debian/control ===
Source: libpam-foreground
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 6.0.7~)
Standards-Version: 3.8.4

Package: libpam-foreground
Architecture: all
Depends: libpam-ck-connector
Description: transitional dummy package which can be safely removed
 This package used to contain a pam module creating a file in
 /var/run/console/ for all users logged in to the console.  This
 functionallity is now provided by the libpam-ck-connector package,
 and this package is now a dummy package to pull in libpam-ck-connector.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp: 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#[ ! -f Makefile] || $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libpam-foreground.
	#mkdir -p debian/libpam-foreground/lib/security
	#mkdir -p debian/libpam-foreground/bin
	#cp pam_foreground.so debian/libpam-foreground/lib/security
	#cp check-foreground-console debian/libpam-foreground/bin/
	#chown root:root debian/libpam-foreground/bin/check-foreground-console
	#chmod u=rwxs,g=rx,o=rx debian/libpam-foreground/bin/check-foreground-console


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	#dh_installinit --no-start -u "start 46 S ."
	#dh_installman debian/check-foreground-console.1
	#dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -Xcheck-foreground-console
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
